Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(270)

Unified Diff: tool/build_sdk.sh

Issue 1322333003: DDC: mostly incremental compilation, fixes #223 (Closed) Base URL: git@github.com:dart-lang/dev_compiler.git@master
Patch Set: rebase Created 5 years, 3 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
Index: tool/build_sdk.sh
diff --git a/tool/build_sdk.sh b/tool/build_sdk.sh
index 4a835fcb3b59cbfbe858bfd1286937675221442b..359de1725316e587447b472585053796dd228f2b 100755
--- a/tool/build_sdk.sh
+++ b/tool/build_sdk.sh
@@ -9,7 +9,6 @@ dart -c tool/patch_sdk.dart tool/input_sdk tool/generated_sdk
echo "*** Compiling SDK to JavaScript"
dart -c bin/devc.dart --no-source-maps --arrow-fn-bind-this --sdk-check \
- --force-compile -l warning --dart-sdk tool/generated_sdk -o lib/runtime/ \
- "$@" \
- dart:js dart:mirrors \
- > tool/sdk_expected_errors.txt || true
+ --force-compile --save-messages -l warning --dart-sdk tool/generated_sdk \
+ -o lib/runtime/ "$@" \
+ dart:js dart:mirrors || true
« lib/src/options.dart ('K') | « test/end_to_end_test.dart ('k') | tool/patch_sdk.dart » ('j') | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698